## org.apache.poi.xslf.usermodel
Class XSLFComments

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFComments

    @Beta
    public class XSLFComments

extends POIXMLDocumentPart

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`org.openxmlformats.schemas.presentationml.x2006.main.CTComment` `getCommentAt(int pos)`
`org.openxmlformats.schemas.presentationml.x2006.main.CTCommentList` `getCTCommentsList()`
`int` `getNumberOfComments()`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, commit, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCTCommentsList

    public org.openxmlformats.schemas.presentationml.x2006.main.CTCommentList getCTCommentsList()

### getNumberOfComments

    public int getNumberOfComments()

### getCommentAt

    public org.openxmlformats.schemas.presentationml.x2006.main.CTComment getCommentAt(int pos)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.